package com.novapp.nova_alarm_plugin_example;

import android.content.IntentFilter;
import android.os.Bundle;

import androidx.annotation.NonNull;
import io.flutter.embedding.android.FlutterActivity;
import io.flutter.embedding.engine.FlutterEngine;
import io.flutter.plugins.GeneratedPluginRegistrant;

public class MainActivity extends FlutterActivity {

  private MyAlarmBroadcastReceiver myAlarmBroadcastReceiver;

  @Override
  public void configureFlutterEngine(@NonNull FlutterEngine flutterEngine) {
    GeneratedPluginRegistrant.registerWith(flutterEngine);
  }

  @Override
  protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);

    myAlarmBroadcastReceiver = new MyAlarmBroadcastReceiver();
    //创建IntentFilter对象
    IntentFilter filter = new IntentFilter();
    //添加要注册的action
    registerReceiver(myAlarmBroadcastReceiver, filter);
  }

  @Override
  protected void onDestroy() {
    unregisterReceiver(myAlarmBroadcastReceiver);
    super.onDestroy();
  }
}
